View Issue Details

IDProjectCategoryView StatusLast Update
0022740LazarusIDEpublic2012-09-05 00:45
ReporterpktfagAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0022740: SynEditDsgn not added to IDE installed list
DescriptionTry to open Unit1 in example /lazarus/examples/SynEdit/NewHighlighterTutorial.
Error:
Unable to find the component class "TSynEdit".
It is not registered via RegisterClass and no lfm was found.
It is needed by unit:
/home/oleg/documents/lazarus1/examples/SynEdit/NewHighlighterTutorial/unit1.pas

lazarus from trunk 38423, fpc from trunk 22260
TagsNo tags attached.
Fixed in Revision38436, 38517
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Martin Friebe

2012-08-29 17:43

manager   ~0061968

Please
- update to latest SVN
- install package SynEditDsgn
- rebuild clean (may take 2 rebuilds)

pktfag

2012-08-30 05:30

reporter   ~0061976

I did:
rm -rf ~/.lazarus
make clean bigide
./lazarus
and opened /lazarus/examples/SynEdit/NewHighlighterTutorial.
and again the same error:
Unable to find the component class "TSynEdit".
It is not registered via RegisterClass and no lfm was found.
It is needed by unit:
/home/oleg/documents/lazarus/examples/SynEdit/NewHighlighterTutorial/unit1.pas
I must manually install the package SynEditDsgn. Is this normal?

Martin Friebe

2012-09-05 00:36

manager   ~0062074

Issue is still present, if updating via SVN, and rebuilding via Tools Menu

Issue History

Date Modified Username Field Change
2012-08-29 07:14 pktfag New Issue
2012-08-29 07:14 pktfag Widgetset => GTK 2
2012-08-29 16:20 Martin Friebe Status new => assigned
2012-08-29 16:20 Martin Friebe Assigned To => Martin Friebe
2012-08-29 17:05 Martin Friebe Fixed in Revision => 38426
2012-08-29 17:05 Martin Friebe LazTarget => -
2012-08-29 17:05 Martin Friebe Status assigned => resolved
2012-08-29 17:05 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-08-29 17:05 Martin Friebe Resolution open => fixed
2012-08-29 17:43 Martin Friebe Fixed in Revision 38426 =>
2012-08-29 17:43 Martin Friebe Note Added: 0061968
2012-08-30 05:30 pktfag Status resolved => assigned
2012-08-30 05:30 pktfag Resolution fixed => reopened
2012-08-30 05:30 pktfag Note Added: 0061976
2012-08-30 09:29 Mattias Gaertner Fixed in Revision => 38436
2012-08-30 09:29 Mattias Gaertner Status assigned => resolved
2012-08-30 09:29 Mattias Gaertner Resolution reopened => fixed
2012-09-05 00:36 Martin Friebe Note Added: 0062074
2012-09-05 00:36 Martin Friebe Assigned To Martin Friebe => Mattias Gaertner
2012-09-05 00:36 Martin Friebe Status resolved => assigned
2012-09-05 00:36 Martin Friebe Category LCL => IDE
2012-09-05 00:36 Martin Friebe Summary Unable to find the component class "TSynEdit". => SynEditDsgn not added to IDE installed list
2012-09-05 00:45 Mattias Gaertner Fixed in Revision 38436 => 38436, 38517
2012-09-05 00:45 Mattias Gaertner Status assigned => resolved